> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a chat

> Retrieve an existing chat by its unique identifier



## OpenAPI

````yaml /api-reference/openapi.documented.json get /v1/chat/{id}
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Health
    x-displayName: Health
  - name: Authentication
    x-displayName: Current credential
  - name: Project API Key
    x-displayName: Project API keys
  - name: Personal API Key
    x-displayName: Personal API keys
  - name: Agent
    x-displayName: Agents
  - name: Agent Endpoint
    x-displayName: Endpoints
  - name: Tool
    x-displayName: Tools
  - name: Agent Setup
    x-displayName: Automatic test setup
  - name: Autoimprove
    x-displayName: Autoimprove
  - name: Customer Flow
    x-displayName: Customer flows
  - name: Customer Flow Folder
    x-displayName: Customer flow folders
  - name: Simulation Persona
    x-displayName: Personas
  - name: Simulation Environment
    x-displayName: Environments
  - name: Simulation Template
    x-displayName: Templates
  - name: Simulation Run Plan
    x-displayName: Plans
  - name: Simulation Run
    x-displayName: Runs
  - name: Simulation Tool Mock
    x-displayName: Tool mocks and fixtures
  - name: Metric
    x-displayName: Definitions
  - name: Metric Variant
    x-displayName: Variants
  - name: Metric Policy
    x-displayName: Policies
  - name: Metric Collection Job
    x-displayName: Collection jobs
  - name: Call
    x-displayName: Calls
  - name: Chat
    x-displayName: Chats
  - name: Customer
    x-displayName: Customers
  - name: Issue
    x-displayName: Issues
  - name: Analytics
    x-displayName: Analytics
  - name: Dashboard
    x-displayName: Dashboards
  - name: Live Report
    x-displayName: Reports
  - name: Agent Connection
    x-displayName: Agent platforms
  - name: Calendar Connection
    x-displayName: Calendars
  - name: MCP Server Connection
    x-displayName: MCP servers
  - name: Knowledge Base
    x-displayName: Knowledge bases
  - name: HTTP Request Definition
    x-displayName: HTTP request definitions
  - name: Webhook
    x-displayName: Webhooks
  - name: Config
    x-displayName: Config as code
  - name: Organization Project
    x-displayName: Projects
  - name: Organization Project Member
    x-displayName: Project members
  - name: Usage
    x-displayName: Usage
  - name: Benchmark
    x-displayName: Benchmarks
paths:
  /v1/chat/{id}:
    get:
      tags:
        - Chat
      summary: Get a chat
      description: Retrieve an existing chat by its unique identifier
      operationId: getV1ChatById
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: Unique identifier for the chat
                        example: 550e8400-e29b-41d4-a716-446655440000
                      projectId:
                        type: string
                        format: uuid
                        description: ID of the project this chat belongs to
                        example: 660e8400-e29b-41d4-a716-446655440001
                      organizationId:
                        type: string
                        format: uuid
                        description: ID of the organization this chat belongs to
                        example: 770e8400-e29b-41d4-a716-446655440002
                      title:
                        type:
                          - string
                          - 'null'
                        description: Auto-generated title for the chat based on content
                        example: Account assistance request
                      summary:
                        type:
                          - string
                          - 'null'
                        description: Auto-generated summary of the chat conversation
                        example: >-
                          Customer inquired about account balance and recent
                          transactions
                      status:
                        type: string
                        enum:
                          - PENDING
                          - IN_PROGRESS
                          - ENDED
                        description: >-
                          Where the chat is: `PENDING` until a visitor joins a
                          chat started through the API, `IN_PROGRESS` while it
                          runs, `ENDED` once it is over.
                        example: ENDED
                      startTimestamp:
                        type: string
                        description: Timestamp when the chat started
                        example: '2024-01-15T10:00:00Z'
                      endTimestamp:
                        type:
                          - string
                          - 'null'
                        description: Timestamp when the chat ended. Null until it ends.
                        example: '2024-01-15T10:30:00Z'
                      durationMs:
                        type:
                          - number
                          - 'null'
                        description: >-
                          Duration of the chat in milliseconds. Null until it
                          ends.
                        example: 1800000
                      createdAt:
                        type:
                          - string
                          - 'null'
                        description: Timestamp when the chat record was created
                        example: '2024-01-15T10:31:00Z'
                      updatedAt:
                        type:
                          - string
                          - 'null'
                        description: Timestamp when the chat record was last updated
                        example: '2024-01-15T10:31:00Z'
                      simulationJobId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                        description: >-
                          ID of the simulation job if this chat was generated by
                          a simulation
                        example: 880e8400-e29b-41d4-a716-446655440003
                      simulationRunPlanJobId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                        description: >-
                          ID of the simulation run plan job that this chat
                          belongs to (if applicable)
                        example: 990e8400-e29b-41d4-a716-446655440004
                      agents:
                        type:
                          - array
                          - 'null'
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                          required:
                            - id
                        description: Agent information
                        example:
                          - id: 550e8400-e29b-41d4-a716-446655440000
                      customers:
                        type:
                          - array
                          - 'null'
                        items:
                          type: object
                          properties:
                            phoneNumberE164:
                              type:
                                - string
                                - 'null'
                            label:
                              type:
                                - string
                                - 'null'
                            customerProfileId:
                              type:
                                - string
                                - 'null'
                              format: uuid
                        description: Customer information
                        example:
                          - phoneNumberE164: null
                            label: web-visitor-abc123
                      properties:
                        type:
                          - object
                          - 'null'
                        additionalProperties: {}
                        description: Custom properties associated with the chat
                        example:
                          source: web
                          region: US
                      policyIds:
                        type:
                          - array
                          - 'null'
                        items:
                          type: string
                          format: uuid
                        description: >-
                          IDs of metric policies that have been applied to this
                          chat
                        example:
                          - 550e8400-e29b-41d4-a716-446655440000
                      externalId:
                        type:
                          - string
                          - 'null'
                        description: >-
                          Caller-supplied correlation ID echoed back from the
                          create request, if any was provided
                        example: session-abc-123
                    required:
                      - id
                      - projectId
                      - organizationId
                      - status
                      - startTimestamp
                      - endTimestamp
                      - durationMs
                    title: ChatResponse
                    description: Response containing the chat information
                required:
                  - data
          description: Chat retrieved successfully
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Permission error
              example:
                type: forbidden
                code: permission_denied
                message: You do not have permission to access this resource
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Not found error
              example:
                type: not_found
                code: resource_not_found
                message: The requested resource could not be found
          description: Chat not found
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Rate limit error
              example:
                type: rate_limit
                code: too_many_requests
                message: Rate limit exceeded
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - payment_required
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.